## live-build 2.0~a21

=== Makefile ===
# Makefile

SHELL := sh -e

LANGUAGES = de

SCRIPTS = cgi/* functions/* examples/*/*.sh scripts/*.sh scripts/*/*

all: test build

test:
	@echo -n "Checking for syntax errors"

	@for SCRIPT in $(SCRIPTS); \
	do \
		sh -n $${SCRIPT}; \
		echo -n "."; \
	done

	@echo " done."

	@# We can't just fail yet on bashisms (FIXME)
	@echo -n "Checking for bashisms"

	@if [ -x /usr/bin/checkbashisms ]; \
	then \
		for SCRIPT in $(SCRIPTS); \
		do \
			checkbashisms -f -x $${SCRIPT} || true; \
			echo -n "."; \
		done; \
	else \
		echo "WARNING: skipping bashism test - you need to install devscripts."; \
	fi

	@echo " done."

build:
	@echo "Nothing to build."

install:
	# Installing shared data
	mkdir -p $(DESTDIR)/usr/share/live-helper
	cp -r cgi data examples functions scripts hooks includes lists repositories templates $(DESTDIR)/usr/share/live-helper

	# Installing executables
	mkdir -p $(DESTDIR)/usr/bin
	mv $(DESTDIR)/usr/share/live-helper/scripts/build/lh $(DESTDIR)/usr/share/live-helper/scripts/build/live-helper $(DESTDIR)/usr/bin

	# Installing documentation
	mkdir -p $(DESTDIR)/usr/share/doc/live-helper
	cp -r COPYING docs/* $(DESTDIR)/usr/share/doc/live-helper

	# Installing manpages
	for MANPAGE in manpages/en/*; \
	do \
		SECTION="$$(basename $${MANPAGE} | awk -F. '{ print $$2 }')"; \
		install -D -m 0644 $${MANPAGE} $(DESTDIR)/usr/share/man/man$${SECTION}/$$(basename $${MANPAGE}); \
	done

	for LANGUAGE in $(LANGUAGES); \
	do \
		for MANPAGE in manpages/$${LANGUAGE}/*; \
		do \
			SECTION="$$(basename $${MANPAGE} | awk -F. '{ print $$3 }')"; \
			install -D -m 0644 $${MANPAGE} $(DESTDIR)/usr/share/man/$${LANGUAGE}/man$${SECTION}/$$(basename $${MANPAGE} .$${LANGUAGE}.$${SECTION}).$${SECTION}; \
		done; \
	done

	# Installing logfile
	mkdir -p $(DESTDIR)/var/log

uninstall:
	# Uninstalling shared data
	rm -rf $(DESTDIR)/usr/share/live-helper

	# Uninstalling executables
	rm -f $(DESTDIR)/usr/bin/lh $(DESTDIR)/usr/bin/live-helper

	# Uninstalling documentation
	rm -rf $(DESTDIR)/usr/share/doc/live-helper

	# Uninstalling manpages
	for MANPAGE in manpages/en/*; \
	do \
		SECTION="$$(basename $${MANPAGE} | awk -F. '{ print $$2 }')"; \
		rm -f $(DESTDIR)/usr/share/man/man$${SECTION}/$$(basename $${MANPAGE} .en.$${SECTION}).$${SECTION}; \
	done

	for LANGUAGE in $(LANGUAGES); \
	do \
		for MANPAGE in manpages/$${LANGUAGE}/*; \
		do \
			SECTION="$$(basename $${MANPAGE} | awk -F. '{ print $$3 }')"; \
			rm -f $(DESTDIR)/usr/share/man/$${LANGUAGE}/man$${SECTION}/$$(basename $${MANPAGE} .$${LANGUAGE}.$${SECTION}).$${SECTION}; \
		done; \
	done

clean:

distclean:

reinstall: uninstall install

=== cgi/Makefile ===
# Makefile

install:
	install -D -m 0755 cgi $(DESTDIR)/usr/lib/cgi-bin/live-helper
	install -D -m 0755 cron $(DESTDIR)/etc/cron.d/live-helper.cgi
	install -D -m 0644 default $(DESTDIR)/etc/default/live-helper.cgi
	install -D -m 0644 logrotate $(DESTDIR)/etc/logrotate.d/live-helper.cgi

	install -d -m 0755 $(DESTDIR)/var/log
	touch $(DESTDIR)/var/log/live
	chown www-data:www-data $(DESTDIR)/var/log/live

uninstall:
	rm -f $(DESTDIR)/usr/lib/cgi-bin/live-helper
	rm -f $(DESTDIR)/etc/cron.d/live-helper.cgi
	rm -f $(DESTDIR)/etc/default/live-helper.cgi
	rm -f $(DESTDIR)/etc/logrotate.d/live-helper.cgi

reinstall: uninstall install

=== manpages/Makefile ===
# Makefile

SHELL := sh -e

LANGUAGES = $(shell cd po && ls)

all: build

po4a.cfg:
	echo "[po4a_langs] $(LANGUAGES)" > po4a.cfg
	echo "[po4a_paths] pot/\$$master.pot \$$lang:po/\$$lang/\$$master.po" >> po4a.cfg

	for MANPAGE in en/*; \
	do \
		SECTION="$$(basename $${MANPAGE} | awk -F. '{ print $$2 }')"; \
		echo "[type: man] $${MANPAGE} \$$lang:\$$lang/$$(basename $${MANPAGE} .$${SECTION}).\$$lang.$${SECTION}" >> po4a.cfg; \
	done

update:
	./bin/update-version.sh

build: po4a.cfg
	@if [ ! -x "$$(which po4a 2>/dev/null)" ]; \
	then \
		echo "E: po4a - command not found"; \
		echo "I: po4a can be optained from http://po4a.alioth.debian.org/"; \
		echo "I: On Debian systems, po4a can be installed with 'apt-get install po4a'."; \
		exit 1; \
	fi

	po4a --keep 0 --no-backups --package-name live-helper po4a.cfg

clean:
	rm -f po/*/*.po~

distclean: clean
	rm -f po4a.cfg
	rm -rf $(LANGUAGES)

rebuild: distclean update build

## live-build 2.0.7

=== Makefile ===
--- 
+++ 
@@ -40,16 +40,16 @@
 
 install:
 	# Installing shared data
-	mkdir -p $(DESTDIR)/usr/share/live-helper
-	cp -r cgi data examples functions scripts hooks includes lists repositories templates $(DESTDIR)/usr/share/live-helper
+	mkdir -p $(DESTDIR)/usr/share/live/build
+	cp -r cgi data examples functions scripts hooks includes lists repositories templates $(DESTDIR)/usr/share/live/build
 
 	# Installing executables
 	mkdir -p $(DESTDIR)/usr/bin
-	mv $(DESTDIR)/usr/share/live-helper/scripts/build/lh $(DESTDIR)/usr/share/live-helper/scripts/build/live-helper $(DESTDIR)/usr/bin
+	mv $(DESTDIR)/usr/share/live/build/scripts/build/lb $(DESTDIR)/usr/share/live/build/scripts/build/live-build $(DESTDIR)/usr/bin
 
 	# Installing documentation
-	mkdir -p $(DESTDIR)/usr/share/doc/live-helper
-	cp -r COPYING docs/* $(DESTDIR)/usr/share/doc/live-helper
+	mkdir -p $(DESTDIR)/usr/share/doc/live-build
+	cp -r COPYING docs/* $(DESTDIR)/usr/share/doc/live-build
 
 	# Installing manpages
 	for MANPAGE in manpages/en/*; \
@@ -72,13 +72,14 @@
 
 uninstall:
 	# Uninstalling shared data
-	rm -rf $(DESTDIR)/usr/share/live-helper
+	rm -rf $(DESTDIR)/usr/share/live/build
+	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share/live
 
 	# Uninstalling executables
-	rm -f $(DESTDIR)/usr/bin/lh $(DESTDIR)/usr/bin/live-helper
+	rm -f $(DESTDIR)/usr/bin/lb $(DESTDIR)/usr/bin/live-build
 
 	# Uninstalling documentation
-	rm -rf $(DESTDIR)/usr/share/doc/live-helper
+	rm -rf $(DESTDIR)/usr/share/doc/live-build
 
 	# Uninstalling manpages
 	for MANPAGE in manpages/en/*; \

=== manpages/Makefile ===
--- 
+++ 
@@ -28,7 +28,7 @@
 		exit 1; \
 	fi
 
-	po4a --keep 0 --no-backups --package-name live-helper po4a.cfg
+	po4a --keep 0 --no-backups --package-name live-build po4a.cfg
 
 clean:
 	rm -f po/*/*.po~

## live-build 2.0.11

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 LANGUAGES = de
 
-SCRIPTS = cgi/* functions/* examples/*/*.sh scripts/*.sh scripts/*/*
+SCRIPTS = cgi/* functions/* examples/*/*.sh examples/auto/* scripts/*.sh scripts/*/*
 
 all: test build

## live-build 3.0~a16

=== Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 SCRIPTS = cgi/* functions/* examples/*/*.sh examples/auto/* scripts/*.sh scripts/*/*
 
-all: test build
+all: build
 
 test:
 	@echo -n "Checking for syntax errors"

=== debian/changelog ===
live-build (3.0~a16-1) unstable; urgency=low

  * Adding workaround for apt not respecting pinning on the fly.
  * Removing kernel-img.conf handling for lenny and older.
  * Making apt calls a bit more consistent over the different scripts.
  * Moving apt pinning workaround to the correct place.
  * Moving installation of tasks behind package and package lists
    installation; the tasks should only 'fill-up' with what has not
    already been provided by packages or package lists.

 -- Daniel Baumann <daniel@debian.org>  Sat, 23 Apr 2011 19:27:16 +0200

live-build (3.0~a15-1) unstable; urgency=low

  * Adding temporary hack for progress until multistrap can be used for
    bootstrapping.

 -- Daniel Baumann <daniel@debian.org>  Fri, 22 Apr 2011 23:11:56 +0200

live-build (3.0~a14-1) unstable; urgency=low

  [ Cody A.W. Somerville ]
  * Fixing lb_chroot_upstart to use correct path to initctl.

  [ Daniel Baumann ]
  * Adding old 2.x changelog entries in debian changelog.
  * Building standard image flavour with included --tasks standard.
  * Also including the standard task when building the rescue default
    flavour.
  * Marking rpncalc in rescue list as squeeze only.
  * Updating nilfs packagename in rescue list for squeeze and newer.
  * Setting default for debian-installer on debian to false.
  * Disabling security and volatile repositories for unreleased
    distributions.
  * Setting partition flags after creating the filesystem, workaround
    for bug in parted where we result in having the partition type set
    to linux otherways, thanks to Cody A.W. Somerville
    <cody.somerville@canonical.com> for the idea.
  * Disabling kexec-tools by default in debian mode.
  * Adding parent-archive-areas.
  * Removing obsolete debian-backports auto-configuration.
  * Updating security archive entries for progress.
  * Correcting repository handling for live.debian.net wrt/ derivatives.

 -- Daniel Baumann <daniel@debian.org>  Fri, 25 Mar 2011 09:13:52 +0100

live-build (3.0~a13-1) unstable; urgency=low

  [ Steven Shiau ]
  * Correcting release filename when caching indices (Closes: #613895).

  [ Daniel Baumann ]
  * Updating default mirrors for emdebian (Closes: #614120).
  * Adding wpasupplicant in rescue list.

  [ Hector Oron ]
  * Removing superfluous whitespace in output of the usage function.

  [ Daniel Baumann ]
  * Updating archive signing key for live.debian.net repository.

 -- Daniel Baumann <daniel@debian.org>  Wed, 09 Mar 2011 19:27:39 +0100

live-build (3.0~a12-1) experimental; urgency=low

  [ Daniel Baumann ]
  * Updating year in copyright.
  * Updating year in hooks and script files.

  [ Luigi Capriotti ]
  * Support for newer grub-common package.

  [ Daniel Baumann ]
  * Removing legacy handling for lenny in grub2 handling of
    lb_binary_iso.
  * Adding missing netinst udeb include files for ubuntu.

  [ Cody A.W. Somerville ]
  * Adding missing debian-cd data files for Ubuntu releases for some
    architectures.

  [ Daniel Baumann ]
  * Adding support for Ubuntu jaunty and natty, thanks to Cody A.W.
    Somerville <cody.somerville@canonical.com>.

  [ Philip Newborough ]
  * Update example path in 'all_binary_debian-installer-banner.sh'
    example hook.

  [ Marco Amadori ]
  * Do not exclude console-setup-udeb (Helps: #603974)

  [ Richard Nelson ]
  * Account for the + character in packages for l-b.cgi

  [ Daniel Baumann ]
  * Updating includes for squeeze.

  [ Richard Nelson ]
  * Minor grammatical correction on mail.txt

  [ Daniel Baumann ]
  * Adding initial support for making initsystem configurable.

  [ Marco Amadori ]
  * Upstart initsystem support.

  [ Daniel Baumann ]
  * Updating upstart support addition to current coding style.
  * Adding initial support for parent distribution for debian-installer.
  * Updating repositories for progress.
  * Renaming mirror options to parent mirror for handling derivatives
    nice in future.
  * Adding mirror option handling for derivatives.
  * Adding mirror handling for derivatives.
  * Adding multi-repository support for debian-installer udebs at build-
    time.
  * Correcting quoting of apt-options in derivatives upgrade hack.
  * Correcting logical error with default settings of initsystem.
  * Making sure to correctly deference syslinux theme files when
    building chrooted.
  * Correcting typo in derivatives check when fetching d-i components.
  * Correcting udeb download for derivatives to only fall back to
    debians repository if required to.

 -- Daniel Baumann <daniel@debian.org>  Tue, 15 Feb 2011 19:43:44 +0100

live-build (3.0~a11-1) experimental; urgency=low

  * Disabling inclusion of GUI installer images on ubuntu.
  * Updating losetup-lukshome example hook to use blkid where available,
    thanks to Clint Adams <clint@gnu.org> (Closes: #607108).
  * Removing --apt-pdiff option, this doesn't belong into live-build in
    the first place.
  * Removing some more lenny-only stuff.
  * Simplyfing defaults function a bit.
  * Correcting outdated program variable.
  * Updating help function in lb for live-build.
  * Updating man function for newer live-build versions (Closes:
    #608477).
  * Removing xresprobe from standard-x11 list (Closes: #608566).
  * Generalizing compression handling and adding support for lzip
    tarballs.
  * Adding initial defaults for progress.
  * Removing encryption support until we have something for current
    kernels again.
  * Removing lb_chroot_sysvinit in favour of a hook, which is the
    appropriate way to handle this.
  * Removing legacy support for live-initramfs.
  * Correcting typo in compression defaults.
  * Removing unused debian-release mode.
  * Updating some defaults for progress.
  * Adding derivatives handling for progress.
  * Updating apt indices defaults for progress.
  * Shortening iso volume default for progress.
  * Correcting compression handling for tarballs.
  * Updating parent distribution defaults for progress.


=== debian/control ===
Source: live-build
Section: misc
Priority: optional
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Uploaders: Daniel Baumann <daniel@debian.org>
Build-Depends: debhelper (>= 8)
Build-Depends-Indep: gettext
Standards-Version: 3.9.1
Homepage: http://live.debian.net/devel/live-build/
Vcs-Browser: http://live.debian.net/gitweb/?p=live-build.git
Vcs-Git: git://live.debian.net/git/live-build.git

Package: live-build
Architecture: all
Depends: ${misc:Depends}, debootstrap | cdebootstrap | cdebootstrap-static
Recommends: cpio, gettext-base, gnu-fdisk
Suggests:
 dosfstools, genisoimage, memtest86+ | memtest86, mtools, parted,
 squashfs-tools | genext2fs | mtd-tools, sudo | fakeroot, syslinux | grub,
 uuid-runtime, win32-loader
Description: Debian Live - System Build Scripts
 live-build contains the scripts that build a Debian Live system image from a
 configuration directory.

Package: live-build-cgi
Architecture: all
Depends: ${misc:Depends}
Recommends: apache2 | httpd
Description: Debian Live - System Build Scripts (cgi frontend)
 live-build contains the scripts that build a Debian Live system image from a
 configuration directory.
 .
 This package contains the cgi frontend.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh ${@}

override_dh_auto_clean:
	$(MAKE) -C po clean

override_dh_auto_build:
	$(MAKE) -C po update-po

override_dh_auto_install:
	$(MAKE) DESTDIR=$(CURDIR)/debian/live-build install
	$(MAKE) -C po DESTDIR=$(CURDIR)/debian/live-build install

	mv debian/live-build/usr/share/doc/live-build/ChangeLog.live-package debian/live-build/usr/share/doc/live-build/changelog.live-package
	mv debian/live-build/usr/share/doc/live-build/ChangeLog.live-webhelper debian/live-build/usr/share/doc/live-build/changelog.live-webhelper

	rm -f debian/live-build/usr/share/doc/live-build/COPYING
	rm -f debian/live-build/usr/share/doc/live-build/ChangeLog

	# live-buld-cgi
	mkdir -p debian/live-build-cgi/usr/share/live/build
	mv debian/live-build/usr/share/live/build/cgi debian/live-build-cgi/usr/share/live/build

override_dh_installchangelogs:
	dh_installchangelogs docs/ChangeLog

## live-build 3.0~a24

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 SHELL := sh -e
 
-LANGUAGES = de
+LANGUAGES = $(shell cd manpages/po && ls)
 
 SCRIPTS = cgi/* functions/* examples/*/*.sh examples/auto/* scripts/*.sh scripts/*/*
 
@@ -41,7 +41,7 @@
 install:
 	# Installing shared data
 	mkdir -p $(DESTDIR)/usr/share/live/build
-	cp -r cgi data examples functions scripts hooks includes lists repositories templates $(DESTDIR)/usr/share/live/build
+	cp -r archives cgi data examples functions scripts includes package-lists templates $(DESTDIR)/usr/share/live/build
 
 	# Installing executables
 	mkdir -p $(DESTDIR)/usr/bin
@@ -73,7 +73,7 @@
 uninstall:
 	# Uninstalling shared data
 	rm -rf $(DESTDIR)/usr/share/live/build
-	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share/live
+	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share/live || true
 
 	# Uninstalling executables
 	rm -f $(DESTDIR)/usr/bin/lb $(DESTDIR)/usr/bin/live-build

=== cgi/Makefile ===
# Makefile

install:
	install -D -m 0755 cgi $(DESTDIR)/usr/lib/cgi-bin/live-build
	install -D -m 0755 cron $(DESTDIR)/etc/cron.d/live-build.cgi
	install -D -m 0644 default $(DESTDIR)/etc/default/live-build.cgi
	install -D -m 0644 logrotate $(DESTDIR)/etc/logrotate.d/live-build.cgi

	install -d -m 0755 $(DESTDIR)/var/log
	touch $(DESTDIR)/var/log/live
	chown www-data:www-data $(DESTDIR)/var/log/live

uninstall:
	rm -f $(DESTDIR)/usr/lib/cgi-bin/live-build
	rm -f $(DESTDIR)/etc/cron.d/live-build.cgi
	rm -f $(DESTDIR)/etc/default/live-build.cgi
	rm -f $(DESTDIR)/etc/logrotate.d/live-build.cgi

reinstall: uninstall install

=== manpages/Makefile ===
--- 
+++ 
@@ -24,7 +24,7 @@
 	then \
 		echo "E: po4a - command not found"; \
 		echo "I: po4a can be optained from http://po4a.alioth.debian.org/"; \
-		echo "I: On Debian systems, po4a can be installed with 'apt-get install po4a'."; \
+		echo "I: On Debian based systems, po4a can be installed with 'apt-get install po4a'."; \
 		exit 1; \
 	fi

=== po/Makefile ===
# Makefile to manage gettext files

DOMAIN=live-helper
ECHO_FUNCTIONS="Echo_message Echo_verbose Echo_warning Echo_debug Echo_error Echo_breakage Echo"

POFILES=$(wildcard *.po)
MOFILES=$(patsubst %.po,%.mo,$(POFILES))
LINGUAS=$(basename $(POFILES))
GETTEXTFILES=$(shell find ../scripts/build ../functions -type f)
POTFILE=$(DOMAIN).pot
DESTDIR=/
XGETTEXT_KEYWORDS=$(shell echo $(ECHO_FUNCTIONS) |sed -e 's,\S\+,-k&,g')

%.mo: %.po
	msgfmt --statistics -o $@ $<

%.po: $(DOMAIN).pot
	msgmerge -U $*.po $(DOMAIN).pot

$(DOMAIN).pot: $(GETTEXTFILES)
	$(shell xgettext $(XGETTEXT_KEYWORDS) -L Shell -o $(DOMAIN).pot $(GETTEXTFILES))

update-po: live-helper.pot
	-for lang in $(LINGUAS); do\
	    msgmerge -U $$lang.po $(DOMAIN).pot; \
	done

install: $(MOFILES)
	-for lang in $(LINGUAS); do\
	    install -d $(DESTDIR)/usr/share/locale/$$lang/LC_MESSAGES/; \
	    install -m 644 $$lang.mo $(DESTDIR)/usr/share/locale/$$lang/LC_MESSAGES/$(DOMAIN).mo; \
	done

all: update-po $(MOFILES)

clean:
	- rm *.mo *~

.PHONY: update-po

=== debian/changelog ===
live-build (3.0~a24-1ubuntu32.6) precise; urgency=low

  * Remove Portuguese langpack from i386 Ubuntu desktop image, and Spanish
    from amd64 (LP: #1102929).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 22 Jan 2013 11:00:19 +0000

live-build (3.0~a24-1ubuntu32.5) precise-proposed; urgency=low

  * Remove Portugese langpack on amd64 ubuntu desktop image.

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 23 Aug 2012 12:06:38 -0400

live-build (3.0~a24-1ubuntu32.4) precise-proposed; urgency=low

  * Remove German langpack on i386 ubuntu desktop image. (LP: #1035164)

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 09 Aug 2012 18:05:18 -0400

live-build (3.0~a24-1ubuntu32.3) precise-proposed; urgency=low

  * Fix the previous change being canceled by a later apt-get update call.
    Move the code to scripts/build/lb_chroot_archives (LP: #1034118)

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 07 Aug 2012 17:14:01 -0400

live-build (3.0~a24-1ubuntu32.2) precise-proposed; urgency=low

  * ubuntu-remove-non-release-lists.patch: Remove APT lists for non-release
    pockets. (LP: #1034118)

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 07 Aug 2012 14:54:57 -0400

live-build (3.0~a24-1ubuntu32.1) precise; urgency=low

  * ubuntu-chroot_headers_tidy.patch: Mark all the linux-headers-$(ABI)
    packages as autoinstalled, and then autoremove cruft (LP: #1029556)

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 26 Jul 2012 18:09:23 -0600

live-build (3.0~a24-1ubuntu32) precise; urgency=low

  * Revert 3.0~a24-1ubuntu31; Wubi uses an old resize2fs which apparently
    can't handle ext4.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 20 Apr 2012 17:45:27 +0100

live-build (3.0~a24-1ubuntu31) precise; urgency=low

  * build-wubildr.patch: Switch wubi from ext3 to ext4 (LP: #859552)

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 18 Apr 2012 14:54:48 -0600

live-build (3.0~a24-1ubuntu30) precise; urgency=low

  * ubuntu-kernel-img-conf.patch: On some architectures (notably powerpc),
    create /etc/kernel-img.conf with the default contents plus 'link_on_boot
    yes'.  This matches the behaviour of base-installer/library.sh more
    closely (LP: #958839).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 18 Apr 2012 13:10:04 +0100

live-build (3.0~a24-1ubuntu29) precise; urgency=low

  * ubuntu-powerpc-smp.patch: Switch from powerpc to powerpc-smp kernel.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 20 Mar 2012 10:07:07 -0600

live-build (3.0~a24-1ubuntu28) precise; urgency=low

  * Add 00git_precise_release.patch: Add "precise" release version to
    releases.sh. Backported from current Debian version. (LP: #941604)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 12 Mar 2012 11:18:41 +0100

live-build (3.0~a24-1ubuntu27) precise; urgency=low

  * debian/patches/examples-auto-config-typo.patch: Fixing left over
    use of --packages-lists in examples/auto/config (LP: #923355)

 -- Rigved Rakshit <r.phate@gmail.com>  Fri, 24 Feb 2012 16:10:47 +0530

live-build (3.0~a24-1ubuntu26) precise; urgency=low

  * build-wubildr.patch: Revert wubi ext4 switch, until the buildds
    are running kernels that can actually mount ext4 filesystems.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 23 Feb 2012 09:26:02 -0700

live-build (3.0~a24-1ubuntu25) precise; urgency=low

  * build-wubildr.patch: Switch wubi from ext3 to ext4 (LP: #859552)

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 22 Feb 2012 12:18:53 -0700

live-build (3.0~a24-1ubuntu24) precise; urgency=low

  * Revert ubuntu-chroot_hacks-clean-tmpdirs.patch for now, since
    chroot_hacks clearly runs too early in the build, before we
    umount various filesystems; need to rethink this (LP: #938867)

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 22 Feb 2012 11:42:53 -0700

live-build (3.0~a24-1ubuntu23) precise; urgency=low

  * ubuntu-resolvconf.patch: If chroot/etc/resolvconf/resolv.conf.d
    exists, tidy up the original and tail files, which are artifacts
    of the build (and leak the host system's resolv.conf)
  * ubuntu-chroot_hacks-clean-tmpdirs.patch: Clean out more cruft
    in chroot/run, chroot/tmp, chroot/var/run, and chroot/var/tmp

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 21 Feb 2012 16:33:43 -0700

live-build (3.0~a24-1ubuntu22) precise; urgency=low

  * Add ubuntu-resolvconf.patch: If /etc/resolv.conf is a dangling symlink,
    test -e will return 1 and so lb_chroot_resolv won't move it to .orig.
    This then causes cp to fail copying the buildd /etc/resolv.conf and
    makes the whole build fail.
    Instead, make it also do a test -L to detect symlinks. In such case,
    also move it to .orig but don't Truncate it as that'd fail.

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 26 Jan 2012 22:15:54 -0500

live-build (3.0~a24-1ubuntu21) precise; urgency=low

  * Backport from upstream:
    - Print the current time before starting a command with the lb wrapper
      script (closes: #630089).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 12 Jan 2012 23:17:19 +0000

live-build (3.0~a24-1ubuntu20) precise; urgency=low

  * Use i386 -generic-pae kernel flavour on Ubuntu >= precise (LP: #897786).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 15 Dec 2011 16:24:29 +0000

live-build (3.0~a24-1ubuntu19) precise; urgency=low

  * ubuntu-armhf-support.patch: Mirror armel (non-)support as armhf

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 02 Dec 2011 11:29:36 -0700

live-build (3.0~a24-1ubuntu18) precise; urgency=low

  * Generate an initramfs that uses the framebuffer for Wubi disk image
    installs.

 -- Evan Dandrea <ev@ubuntu.com>  Mon, 17 Oct 2011 11:15:06 +0100

live-build (3.0~a24-1ubuntu17) oneiric; urgency=low

  * Remove /var/lib/dbus/machine-id in lb_chroot_hacks to prevent every
    machine installed from our media having the same ID.  This is a 
    regression from the previous livecd-rootfs behaviour (LP: #322830)

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 12 Oct 2011 12:11:16 +0100

live-build (3.0~a24-1ubuntu16) oneiric; urgency=low



=== debian/control ===
Source: live-build
Section: misc
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Live Project <debian-live@lists.debian.org>
Uploaders: Daniel Baumann <daniel@debian.org>
Build-Depends: debhelper (>= 8)
Build-Depends-Indep: gettext
Standards-Version: 3.9.2
Homepage: http://live.debian.net/devel/live-build/
Vcs-Browser: http://live.debian.net/gitweb/?p=live-build.git
Vcs-Git: git://live.debian.net/git/live-build.git

Package: live-build
Architecture: all
Depends: ${misc:Depends}, debootstrap | cdebootstrap | cdebootstrap-static
Recommends: cpio, gettext-base
Suggests:
 dosfstools, genisoimage, memtest86+ | memtest86, mtools, parted,
 squashfs-tools | mtd-tools, sudo | fakeroot, syslinux | grub,
 uuid-runtime, win32-loader, gnu-fdisk
Description: Debian Live - System Build Scripts
 live-build contains the scripts that build a Debian Live system image from a
 configuration directory.

Package: live-build-cgi
Architecture: all
Depends: ${misc:Depends}
Recommends: apache2 | httpd
Description: Debian Live - System Build Scripts (cgi frontend)
 live-build contains the scripts that build a Debian Live system image from a
 configuration directory.
 .
 This package contains the cgi frontend.

=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,9 @@
 	$(MAKE) -C po clean
 
 override_dh_auto_build:
+	chmod +x examples/hooks/all_chroot_pyc-purge.sh \
+		 examples/hooks/kubuntu_chroot_icon-theme.sh \
+		 examples/hooks/ubuntu_binary_build-wubildr.sh
 	$(MAKE) -C po update-po
 
 override_dh_auto_install:

## live-build 3.0~a39

=== debian/changelog ===
live-build (3.0~a39-1) unstable; urgency=low

  * Adding temporary manual setting of d-i urls for progress.
  * Removing --tasks leftovers in lb_config.
  * Sorting overrides in rules alphabetically.
  * Also setting 5% margin for ext4 images, thanks to Neil Wilson
    <neil@aldur.co.uk> for spotting it (Closes: #647601).
  * Applying some of the suggestions from the reviewed control file from
    debian-l10n-english (Closes: #643957).
  * Applying some of the suggestions from the reviewed template file
    from debian-l10n-english.
  * Adding initial Czech debconf translations from Michal Simunek
    <michal.simunek@gmail.com> (Closes: #648457).
  * Adding initial Danish debconf translations from Joe Dalton
    <joedalton2@yahoo.dk> (Closes: #648346).
  * Adding initial Spanish debconf translations from Gildardo Adrián
    Maravilla Jácome <gilmjc@gmail.com> and Francisco Javier Cuadrado
    <fcocuadrado@gmail.com> (Closes: #648463).
  * Adding initial French debconf translations from Julien Patriarca
    <patriarcaj@gmail.com> (Closes: #647820).
  * Adding initial Portuguese debconf translations from Miguel
    Figueiredo <elmig@debianpt.org> (Closes: #648484).
  * Adding initial Russian debconf translations from Yuri Kozlov
    <yuray@komyakino.ru> (Closes: #647993).
  * Adding initial Swedish debconf translations from Martin Bagge
    <brother@bsnet.se> (Closes: #648377).
  * Adding initial Telugu debconf translations from Praveen Illa
    <mail2ipn@gmail.com> (Closes: #648693).
  * Adding initial German debconf translations from Holger Wansing
    <linux@wansing-online.de> (Closes: #648381).
  * Updating and completing German debconf translations.

 -- Daniel Baumann <daniel@debian.org>  Mon, 14 Nov 2011 12:46:20 +0100

live-build (3.0~a38-1) unstable; urgency=low

  * Disable backports forcefully when building artax-backports images
    direcly.
  * Updating symlinks for Ubuntu releases in debian-cd includes.
  * Adding hook to remove dbus machine id.
  * Renumbering hooks.
  * Bail out early in lb_source if source is disabled (Closes: #646807).
  * Adding expire date for oneiric in releases list.
  * Adding precise in releases list.
  * Correcting defaults d-i mirror for progress.

 -- Daniel Baumann <daniel@debian.org>  Sun, 30 Oct 2011 08:46:54 +0100

live-build (3.0~a37-1) unstable; urgency=low

  * Also strip out source archives from local archive definitions when
    using --apt-source-archives false.
  * Correcting typo in defaults for system variable.

 -- Daniel Baumann <daniel@debian.org>  Thu, 13 Oct 2011 20:03:00 +0200

live-build (3.0~a36-1) unstable; urgency=low

  * Using compression level 9 also for binary packages.
  * Updating squeeze point release number.
  * Correcting wrong location when looking for local preseed files in
    config tree, thanks to Eugenio Paolantonio <me@medesimo.eu> (Closes:
    #645116).
  * Deal with non-existing preseed files in config tree.

 -- Daniel Baumann <daniel@debian.org>  Thu, 13 Oct 2011 15:55:53 +0200

live-build (3.0~a35-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Treating sources.list top-level file specially to workaround bug in
    apt that makes sources.list.d sources to be never prefered over main
    sources.list when using pinning (Closes: #573054).
  * Making top sources.list conditional, not everyone necessarily always
    uses that.
  * Marking tct in debian-forensics package list as squeeze only, thanks
    to Michael Milligan <mmilligan@astro.umn.edu> (Closes: #643926).

  [ Ben Howard ]
  * Adding check for missing mtab during chrooted binary rootfs stage.

  [ Daniel Baumann ]
  * Updating ettercap entries in rescue list for wheezy, thanks to
    Michael Milligan <mmilligan@astro.umn.edu>.
  * Marking ntfsprogs as squeeze only in rescue list, thanks to Michael
    Milligan <mmilligan@astro.umn.edu>.
  * Adding bug number to comments when moving top-level sources.list.

  [ Ben Howard ]
  * Adding Ubuntu Cloud images packages lists.
  * Adding foreign bootstrap via qemu for cross arch building.

 -- Daniel Baumann <daniel@debian.org>  Sat, 08 Oct 2011 10:57:04 +0200

live-build (3.0~a34-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Removing unused global chroot_preseed.
  * Renaming and reworking previous chroot_local-preseed into
    chroot_preseed, now looking for config/preseed/*.preseed{,.chroot}
    files.
  * Correcting indenting glitch in lb_binary_chroot.
  * Using 'none' instead of 'plain' when specifying that no chroot
    filesystem should be used.
  * Renaming virtual-hdd-root-size to hdd-size in preparation of merging
    virtual-hdd into hdd.

  [ Ben Howard ]
  * Setting default armel linux flavour for Ubuntu.

  [ Daniel Baumann ]
  * Adding --system option to define the resulting image type to be a
    live system or a normal, non-live system.

  [ Colin Watson ]
  * Copying gfxboot theme when building for Ubuntu.

  [ Adam Conrad ]
  * Using the correct mirror locations for Ubuntu ports.

  [ Colin Watson ]
  * Defaulting to ubuntu-oneiric syslinux theme on Ubuntu.

  [ Daniel Baumann ]
  * Setting default ubuntu release to oneric.
  * Removing EOL Ubuntu dapper from release information.

 -- Daniel Baumann <daniel@debian.org>  Fri, 30 Sep 2011 14:50:40 +0200

live-build (3.0~a33-1) unstable; urgency=low

  * Correcting check for debian-installer-distribution when using daily
    images in non-derivatives mode.

 -- Daniel Baumann <daniel@debian.org>  Wed, 28 Sep 2011 07:33:59 +0200

live-build (3.0~a32-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Correcting wrong spelling of cache in exit function, thanks to David
    Endler for spotting it.
  * Adding option for setting filesystem label on usb-hdd images.
  * Correcting syntax error in tr command used in default for hdd-label
    in progress mode.
  * Renaming usb-hdd binary image type to simply hdd.
  * Updating volatile handling in chroot_archives for derivatives when
    using foo-backports distribution scheme.


## live-build 3.0~a40

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 LANGUAGES = $(shell cd manpages/po && ls)
 
-SCRIPTS = cgi/* functions/* examples/*/*.sh examples/auto/* scripts/*.sh scripts/*/*
+SCRIPTS = cgi/live-build-cgi cgi/live-build-cgi.cron cron/live-build-cron* functions/* examples/*/*.sh examples/auto/* scripts/*.sh scripts/*/* share/hooks/*
 
 all: build
 
@@ -19,14 +19,13 @@
 
 	@echo " done."
 
-	@# We can't just fail yet on bashisms (FIXME)
 	@echo -n "Checking for bashisms"
 
 	@if [ -x /usr/bin/checkbashisms ]; \
 	then \
 		for SCRIPT in $(SCRIPTS); \
 		do \
-			checkbashisms -f -x $${SCRIPT} || true; \
+			checkbashisms -f -x $${SCRIPT}; \
 			echo -n "."; \
 		done; \
 	else \
@@ -41,11 +40,13 @@
 install:
 	# Installing shared data
 	mkdir -p $(DESTDIR)/usr/share/live/build
-	cp -r archives cgi data examples functions scripts includes package-lists templates $(DESTDIR)/usr/share/live/build
+	cp -r cgi data examples functions scripts includes package-lists templates VERSION $(DESTDIR)/usr/share/live/build
+	cp -r share/* $(DESTDIR)/usr/share/live/build
 
 	# Installing executables
 	mkdir -p $(DESTDIR)/usr/bin
 	mv $(DESTDIR)/usr/share/live/build/scripts/build/lb $(DESTDIR)/usr/share/live/build/scripts/build/live-build $(DESTDIR)/usr/bin
+	cp cron/live-* $(DESTDIR)/usr/bin
 
 	# Installing documentation
 	mkdir -p $(DESTDIR)/usr/share/doc/live-build
@@ -73,7 +74,7 @@
 uninstall:
 	# Uninstalling shared data
 	rm -rf $(DESTDIR)/usr/share/live/build
-	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share/live || true
+	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share/live > /dev/null 2>&1 || true
 
 	# Uninstalling executables
 	rm -f $(DESTDIR)/usr/bin/lb $(DESTDIR)/usr/bin/live-build

=== cgi/Makefile ===
# Makefile

install:
	install -D -m 0755 live-build-cgi $(DESTDIR)/usr/lib/cgi-bin/live-build
	install -D -m 0755 live-build-cgi.cron $(DESTDIR)/etc/cron.d/live-build-cgi
	install -D -m 0644 live-build-cgi.default $(DESTDIR)/etc/default/live-build-cgi
	install -D -m 0644 live-build-cgi.logrotate $(DESTDIR)/etc/logrotate.d/live-build-cgi

	install -d -m 0755 $(DESTDIR)/var/log
	touch $(DESTDIR)/var/log/live
	chown www-data:www-data $(DESTDIR)/var/log/live

uninstall:
	rm -f $(DESTDIR)/usr/lib/cgi-bin/live-build
	rm -f $(DESTDIR)/etc/cron.d/live-build-cgi
	rm -f $(DESTDIR)/etc/default/live-build-cgi
	rm -f $(DESTDIR)/etc/logrotate.d/live-build-cgi

reinstall: uninstall install

=== debian/changelog ===
live-build (3.0~a40-1) unstable; urgency=low

  * Adding libasound2-plugins to standard-x11 package list, thanks to
    Nik Lutz <nik.lutz@gmail.com>.
  * Inverting logic for defaults or archive-areas wrt/ parent and
    derivatives.
  * Creating progress specific disk info files in progress mode.
  * Adding updated Czech debconf translations from Michal Simunek
    <michal.simunek@gmail.com> (Closes: #649110).
  * Adding updated Russian debconf translations from Yuri Kozlov
    <yuray@komyakino.ru> (Closes: #650870).
  * Adding updated French debconf translations from Julien Patriarca
    <patriarcaj@gmail.com> (Closes: #650655).

 -- Daniel Baumann <daniel@debian.org>  Sun, 04 Dec 2011 10:14:06 +0100

## live-build 3.0~a42

=== debian/changelog ===
live-build (3.0~a42-1) unstable; urgency=low

  [ Matthijs Kooijman ]
  * Make lb_chroot_hooks work with dash.
  * Fix pathname for running hooks in lb_chroot_hooks.
  * Make the config available to all hooks.
  * Fix path in 001-update-apt-file-cache.chroot.
  * Use a two-stage mount again for mounting config inside chroot in
    lb_chroot_hooks.
  * Unmount /root/config in case of error.
  * Unmount chroot/root/config when running lb_clean.

  [ Daniel Baumann ]
  * Adding armhf kernel defaults, thanks for Ying-Chun Liu
    <paulliu@debian.org> for bringing it up (Closes: #655557).
  * Correcting wrong and incompatible loop for casper initrds in
    binary_disk.
  * Using syslinux payload as fallback in lb_binary_syslinux if no
    destinct image type could be deduced (Closes: #655562).
  * Switching priorities of mirror defaults (which mirror default is
    used from which previously set mirror default etc.) to the way it
    was intendet to be.

  [ Colin Watson ]
  * Print the current time before starting a command with the lb wrapper
    script (Closes: #630089).

  [ Daniel Baumann ]
  * Adding reference to --parent-archive-areas in lb_config manpage
    (Closes: #646797).

 -- Daniel Baumann <daniel@debian.org>  Sun, 15 Jan 2012 19:25:42 +0100

live-build (3.0~a41-1) unstable; urgency=low

  [ Richard Nelson ]
  * l-b.cgi correct naming of --architectures
  * l-b.cgi add option for amd64 to --architectures.
  * l-b.cgi cleanup cron.d operations.
  * l-b.cgi cleanup build.html to use LB_BINARY_INTICES.
  * l-b.cgi cleanup trailing whitespace in l-b.cgi.cron
  * l-b.cgi update to form.html to current --package-lists
  * l-b.cgi update form.html to current --binary-images
  * l-b.cgi correct virtual-hdd option form.html
  * l-b.cgi modify old --packages param to become
    cgipackages.list.chroot
  * l-b.cgi rename 686-bigmem to 686-pae on forms.
  * l-b.cgi remove mirror operations which should be handled in
    /etc/live/build.conf

  [ Daniel Baumann ]
  * Enabling contrib and non-free by default for progress.

  [ Matthijs Kooijman ]
  * Fixing lb_binary_rootfs leaving the chroot without archives files.

  [ Daniel Baumann ]
  * Adding support for apt preference.d in config/chroot_apt.
  * Fix unconditional overwriting of
    /etc/apt/preferences.d/progress.pref in progress mode.
  * Correcting assembling of automatic pinning in progress mode.
  * Adding temporary hack with pinning to avoid squashfs-tools mismatch
    for artax-backports.
  * Using xz compression for squashfs only on wheezy and sid for the
    moment, not artax-backports.
  * Adding updated Portuguese debconf translations from Miguel
    Figueiredo <elmig@debianpt.org> (Closes: #654966).
  * Adding updated Swedish debconf translations from Martin Bagge
    <brother@bsnet.se> (Closes: #651345).

 -- Daniel Baumann <daniel@debian.org>  Sun, 08 Jan 2012 02:23:00 +0100

=== debian/control ===
Source: live-build
Section: misc
Priority: optional
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Uploaders: Daniel Baumann <daniel@debian.org>
Build-Depends: debhelper (>= 8)
Build-Depends-Indep: gettext
Standards-Version: 3.9.2
Homepage: http://live.debian.net/devel/live-build/
Vcs-Browser: http://live.debian.net/gitweb/?p=live-build.git
Vcs-Git: git://live.debian.net/git/live-build.git

Package: live-build
Architecture: all
Depends: ${misc:Depends}, debootstrap | cdebootstrap | cdebootstrap-static
Recommends:
 live-boot-doc, live-config-doc, live-manual-html | live-manual, cpio,
 gettext-base, gnu-fdisk
Suggests:
 dosfstools, genisoimage, memtest86+ | memtest86, mtools, parted,
 squashfs-tools | mtd-tools, sudo | fakeroot, syslinux | grub,
 uuid-runtime, win32-loader
Description: Debian Live - System build scripts
 live-build contains the scripts that build a Debian Live system image from a
 configuration directory.

Package: live-build-cgi
Architecture: all
Depends: ${misc:Depends}
Recommends: apache2 | httpd
Description: Debian Live - System build scripts (CGI frontend)
 live-build contains the scripts that build a Debian Live system image from a
 configuration directory.
 .
 This package contains the CGI frontend.

Package: live-build-cron
Architecture: all
Depends: ${misc:Depends}, live-build (= ${source:Version}), cron
Description: Debian Live - System build scripts (cron autobuilder)
 live-build contains the scripts that build a Debian Live system image from a
 configuration directory.
 .
 This package contains the cron autobuilder.

=== debian/rules ===
--- 
+++ 
@@ -3,14 +3,11 @@
 %:
 	dh ${@}
 
+override_dh_auto_build:
+	$(MAKE) -C po update-po
+
 override_dh_auto_clean:
 	$(MAKE) -C po clean
-
-override_dh_auto_build:
-	chmod +x examples/hooks/all_chroot_pyc-purge.sh \
-		 examples/hooks/kubuntu_chroot_icon-theme.sh \
-		 examples/hooks/ubuntu_binary_build-wubildr.sh
-	$(MAKE) -C po update-po
 
 override_dh_auto_install:
 	$(MAKE) DESTDIR=$(CURDIR)/debian/live-build install
@@ -22,9 +19,16 @@
 	rm -f debian/live-build/usr/share/doc/live-build/COPYING
 	rm -f debian/live-build/usr/share/doc/live-build/ChangeLog
 
-	# live-buld-cgi
+	# live-build-cgi
 	mkdir -p debian/live-build-cgi/usr/share/live/build
 	mv debian/live-build/usr/share/live/build/cgi debian/live-build-cgi/usr/share/live/build
 
+	# live-build-cron
+	mkdir -p debian/live-build-cron/usr/bin
+	mv debian/live-build/usr/bin/live-build-cron* debian/live-build-cron/usr/bin
+
+override_dh_builddeb:
+	dh_builddeb -- -Zgzip -z9
+
 override_dh_installchangelogs:
 	dh_installchangelogs docs/ChangeLog

## live-build 3.0~a45

=== debian/changelog ===
live-build (3.0~a45-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Correcting typo in defaults for backports mirror.
  * Correcting typo in ubuntu default distribution name, thanks to Marco
    Lechner <marco.lechner@fossgis.de> (Closes: #659823).

  [ Ben Armstrong ]
  * Removing menu as it adds an unwanted menu to some DEs/WMs which
    prefer to do without.

  [ Daniel Baumann ]
  * Add forgotten fallback for mode setting if lsb_release is not
    installed.
  * Adding Polish debconf translations from Michal Kulach
    <michalkulach@gmail.com> (Closes: #660003).

 -- Daniel Baumann <daniel@debian.org>  Thu, 16 Feb 2012 21:47:11 +0100

live-build (3.0~a44-1) unstable; urgency=low

  * Handling /etc/resolv.conf even if it's a dangling symlink like with
    resolv.conf, thanks to Stephane Graber <stgraber@ubuntu.com>
    (Closes: #657640).
  * Adding updated Spanish debconf translations from Javier Fernández-
    Sanguino Peña <jfs@computer.org> (Closes: #656404).
  * Adding Dutch debconf translations from Jeroen Schot <schot@a-
    eskwadraat.nl> (Closes: #657470).
  * Correcting lzcat call in binary_disk to not bail out due to non-
    standard file extension (unknown suffix -- unchanged), thanks to
    Luigi Capriotti <l.capriotti@xbmc.org> (Closes: #658995).
  * Correcting destination path for uuid.conf when using casper in
    binary_disk, thanks to Luigi Capriotti <l.capriotti@xbmc.org>
    (Closes: #658995).
  * Removing warning about resolvconf package, not be needed anymore.
  * Adding a workaround in rules to stop dh_link converting absolute
    symlinks to relative symlinks for bootloader configs.
  * Adding lintian overrides for symlink-should-be-relative (bootloader
    configs need to use absolute symlinks on purpose to allow chrooted
    builds).

 -- Daniel Baumann <daniel@debian.org>  Sun, 12 Feb 2012 22:08:49 +0100

live-build (3.0~a43-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Updating to debhelper version 9.

  [ Richard Nelson ]
  * l-b.cgi - Add pending build(s) to be processed ahead of your
    request.

  [ Daniel Baumann ]
  * Setting default mirror for progress to cdn.archive.progress-
    linux.org.
  * Updating lb_binary_syslinux for embedded syslinux themes.
  * Adding embedded copies for syslinux bootloaders (Closes: #622838,
    #635933, #636217, #645406, #646387, #646799, #651520, #652437).
  * Applying patch from Ivailo Monev to remove stage files for pseudo-
    filesystems helpers in exit function.
  * Correcting typo in security chroot mirror variable assembling.
  * Autodetecting mode depending on which distribution we're building.
  * Giving a note about what mode we are configuring, now that mode is
    determined automatically based on the host system.
  * Updating squeeze point release number.
  * Adding note about 404 errors that are on purpose when fetching udebs
    in derivative mode.
  * Avoid warning messages in binary_packagelists for not existing local
    lists.
  * Renaming forgotten binary_packagelists to binary_package-lists to
    match the rest of lb.
  * Removing removal of bootstrap-base udeb in binary_debian-installer.
  * Using /etc/apt/sources.list.d/debian.list instead of
    /etc/apt/sources.list in derivative mode.
  * Updating year in copyright notices for 2012.
  * Removing useless top-comment for
    /etc/apt/preferences.d/progress.pref.
  * Improve backports handling in derivatives mode.
  * Adding opt-in hook to remove all sources.list files, as it's
    desirable in some setups.
  * Avoid removing populated apt preferences file in derivative mode.
  * Dereferencing potential symlinked apt preference files in
    chroot_apt/*.pref.
  * Simplyfing automatic pinning in derivative modes.
  * Cleaning up handling of apt preferences when building in progress
    mode.
  * Shortening kernel and initrd filenames in /live again similar to
    what we did with in lenny.

 -- Daniel Baumann <daniel@debian.org>  Mon, 06 Feb 2012 23:23:32 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Live Project <debian-live@lists.debian.org>
 Uploaders: Daniel Baumann <daniel@debian.org>
-Build-Depends: debhelper (>= 8)
+Build-Depends: debhelper (>= 9)
 Build-Depends-Indep: gettext
 Standards-Version: 3.9.2
 Homepage: http://live.debian.net/devel/live-build/

=== debian/rules ===
--- 
+++ 
@@ -32,3 +32,10 @@
 
 override_dh_installchangelogs:
 	dh_installchangelogs docs/ChangeLog
+
+override_dh_link:
+	dh_link
+
+	# workaround dh_link convertion of absolute symlinks to relvative symlinks
+	rm -rf debian/live-build/usr/share/live/build/bootloaders
+	cp -a share/bootloaders debian/live-build/usr/share/live/build/bootloaders
